
%bcond_with	python3	# use Python 3 instead of Python 2

Summary:	AppArmor userlevel utilities that are useful in creating AppArmor profiles
Summary(pl.UTF-8):	Narzędzia przestrzeni użytkownika przydatne do tworzenia profili AppArmor
Name:		apparmor-utils
Version:	2.10
Release:	1
Epoch:		1
License:	GPL v2
Group:		Base
Source0:	http://launchpad.net/apparmor/2.10/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	9fd9b6b3525882fdb9441d0f0a8f9162
URL:		http://wiki.apparmor.net/
BuildRequires:	gettext-tools
%if %{with python3}
BuildRequires:	python3
Requires:	python3-LibAppArmor
%else
BuildRequires:	python
Requires:	python-LibAppArmor
%endif
Requires:	perl-LibAppArmor
Provides:	subdomain-utils
Obsoletes:	subdomain-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim/vimfiles

%description
This provides some useful programs to help create and manage AppArmor
profiles. This package is part of a suite of tools that used to be
named SubDomain.

%description -l pl.UTF-8
Ten pakiet dostarcza kilka przydatnych programów pomocnych przy
tworzeniu i zarządzaniu profilami AppArmor. Ten pakiet jest częścią
zestawu narzędzi zwanych SubDomain.

%package -n vim-syntax-apparmor
Summary:	AppArmor files support for Vim
Summary(pl.UTF-8):	Obsługa plików AppArmor dla Vima
Group:		Applications/Editors/Vim
# for _vimdatadir existence
Requires:	vim-rt >= 4:6.3.058-3

%description -n vim-syntax-apparmor
AppArmor files support for Vim.

%description -n vim-syntax-apparmor -l pl.UTF-8
Obsługa plików AppArmor dla Vima.

%prep
%setup -q -n apparmor-%{version}

%if %{with python3}
%{__sed} -i -e '1s, */usr/bin/env python,%{__python3},' utils/aa-*
%else
%{__sed} -i -e '1s, */usr/bin/env python,%{__python},' utils/aa-*
%endif

%install
rm -rf $RPM_BUILD_ROOT
cd utils

%{__make} install \
%if %{with python3}
	PYTHON="%{__python3}" \
%else
	PYTHON="%{__python}" \
%endif
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	VIM_INSTALL_PATH=$RPM_BUILD_ROOT%{_vimdatadir}/syntax

install -d $RPM_BUILD_ROOT%{_vimdatadir}/ftdetect
cat > $RPM_BUILD_ROOT%{_vimdatadir}/ftdetect/apparmor.vim <<-EOF
au BufNewFile,BufRead /etc/apparmor.d/*,/etc/apparmor/profiles/* set filetype=apparmor
EOF

cd ..

# only .pyc are created on install
%if %{with python3}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitescriptdir}/apparmor
%else
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/apparmor
%py_postclean
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%dir %{_sysconfdir}/apparmor
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/easyprof.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/logprof.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/notify.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/severity.db
%attr(755,root,root) %{_bindir}/aa-easyprof
%attr(755,root,root) %{_sbindir}/aa-*
%attr(755,root,root) %{_sbindir}/apparmor_status
%dir %{_datadir}/apparmor
%{_datadir}/apparmor/easyprof
%if %{with python3}
%{py3_sitescriptdir}/apparmor
%{py3_sitescriptdir}/apparmor-%{version}-py*.egg-info
%else
%dir %{py_sitescriptdir}/apparmor
%{py_sitescriptdir}/apparmor/*.py[co]
%dir %{py_sitescriptdir}/apparmor/rule
%{py_sitescriptdir}/apparmor/rule/*.py[co]
%{py_sitescriptdir}/apparmor-%{version}-py*.egg-info
%endif
%{_mandir}/man5/logprof.conf.5*
%{_mandir}/man8/aa-*.8*
%{_mandir}/man8/apparmor_status.8*

%files -n vim-syntax-apparmor
%defattr(644,root,root,755)
%{_vimdatadir}/ftdetect/apparmor.vim
%{_vimdatadir}/syntax/apparmor.vim
%{_mandir}/man5/apparmor.vim.5*
%changelog
* Sun Sep 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apparmor-utils.git;a=log;h=master

* Sun Sep 20 2015 Jakub Bogusz <qboosh@pld-linux.org> b09707b
- updated URL

* Sun Sep 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 605eb78
- updated to 2.10

* Tue Aug 04 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 02e033b
- Option to build for Python 3

* Fri May 29 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> a479cf6
- R: perl-LibAppArmor

* Fri May 29 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> f317d40
- R: python-LibAppArmor

* Fri May 29 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 9c2e400
- Version: 2.9.2

* Sat Mar 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 10b82f2
- up to 2.9.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a91a385
- updated gettext BR

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> f391d7c
- updated to 2.9.0
- perl part is deprecated, moved to perl-Immunix.spec

* Mon Feb 24 2014 Jakub Bogusz <qboosh@pld-linux.org> abb94dc
- updated to 2.8.3

* Mon Nov 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b87ef7d
- up to 2.8.2

* Fri Jan 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e4530cc
- up to 2.8.1

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 7c6f5cb
- missing dir

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> e7c1687
- package easyprof files

* Thu Jun 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9535bcb
- up to 2.8.0

* Sat Apr 07 2012 Jakub Bogusz <qboosh@pld-linux.org> d7e0a3f
- GPL version

* Fri Apr 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 46679d8
- locale comment, more verbose files

* Thu Apr 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 913d147
- up to 2.7.2

* Fri Apr 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fea903
- up to 2.6.1

* Sun Mar 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0368444
- up to 2.6.0

